Subject: Re: [PATCH] netconsole: Append kernel version to message

From: Stephen Hemminger <[email-masked]>
Date: Wed, 5 Jul 2023 08:26:04 -0700

On Wed, 5 Jul 2023 02:18:03 -0700
Breno Leitao <[email-masked]> wrote:

> The uname is useful if the receiver side is looking (grepping) for
> specific messages (warnings, oops, etc) affecting specific kernel
> versions. If the uname is not available, the receiver needs to read boot
> message and keep a map for source IP to kernel version. This is far from
> ideal at a hyperscale level.

At hyperscale you need a real collector (not just netcat) that can consult
the VM database to based on IP and record the meta data there.  If you allow
random updates and versions, things get out of control real fast and this
won't really help much